DirectFB ?
#1
Since this week I have this error when I do apt-get update and apt-get upgrade:

* Configuring system and starting XBMC... [ OK ]

Setting up xbmc (9.04.3+svn23481-jaunty1) ...
Can't open display

=======================| DirectFB 1.0.1 |=======================
© 2001-2007 The DirectFB Organization (directfb.org)
© 2000-2004 Convergence (integrated media) GmbH
------------------------------------------------------------

Processing triggers for libc6 ...
(*) DirectFB/Core: Single Application Core. (2008-11-12 15:27)
(!) Direct/Util: opening '/dev/fb0' and '/dev/fb/0' failed
--> No such file or directory
(!) DirectFB/FBDev: Error opening framebuffer device!
(!) DirectFB/FBDev: Use 'fbdev' option or set FRAMEBUFFER environment variable.
(!) DirectFB/Core: Could not initialize 'system' core!
--> Initialization error!
ERROR: Unable to create application. Exiting
CRITSEC[0x8a9c424]: Trying to enter destroyed section.
CRITSEC[0x8a9c424]: Trying to leave destroyed section.
ldconfig deferred processing now taking place


Does anyone know what to do with it?
Reply
#2
I am getting this error after manually running a modified runXBMC.sh. Thought it was my setup - it probably still is. But I will chime in with some info since noone else seems to have replied to the issue and I was browsing for info about it.

copy of my runXBMC.sh
Code:
#!/bin/bash

if [ "$(pidof X)" ] ; then
    /usr/share/xbmc/xbmc.bin  --standalone
    exit
fi

while true
do
    echo "#!/bin/bash" >  /home/htpc/.xsession
    echo "/usr/share/xbmc/xbmc.bin  --standalone" >>  /home/htpc/.xsession

    echo "case \"\$?\" in" >>  /home/htpc/.xsession
    echo "    0 ) # Quit" >>  /home/htpc/.xsession
    echo "        touch /tmp/noRestartXBMC" >> /home/htpc/.xsession
    echo "        break ;;"  >>  /home/htpc/.xsession
    echo "    64 ) # Shutdown System"  >>  /home/htpc/.xsession
    echo "        sleep 10 ;;"  >>  /home/htpc/.xsession
    echo "    65 ) # Warm Reboot"  >>  /home/htpc/.xsession
    echo "        echo "Restarting XBMC ..." ;;"  >>  /home/htpc/.xsession
    echo "    66 ) # Reboot System"  >>  /home/htpc/.xsession
    echo "        sleep 10 ;;"  >>  /home/htpc/.xsession
    echo "     * ) ;;"  >>  /home/htpc/.xsession
    echo "esac"  >>  /home/htpc/.xsession

    chown htpc:htpc /home/htpc/.xsession

    if [ "$(whoami)" == "root" ] ; then
        su xbmc -c "startx -- -br > /dev/null 2>&1" -l
    else
        startx -- -br > /dev/null 2>&1
    fi

    if [ -e /tmp/noRestartXBMC ] ; then
        rm /tmp/noRestartXBMC
        rm /home/htpc/.xsession
        break
    fi

#    sleep 2
done


my xbmc init.d script
Code:
#!/bin/sh

### BEGIN INIT INFO
# Provides:          xbmc
# Required-Start:    $local_fs $network $remote_fs
# Required-Stop:     $local_fs $network $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Description:       Start and Stop XBMC
#                    - Edited by Zeppstar, Based on xbmc-live svn
#                    - Striped down to only provide bare minimum
#                    - Does not required kernel parameter to be passed as per guide
#                    - Changed do_stop() to terminate back to prompt rather than restart.
#                    - Added Audio reset to prevent pcm sound loss. (works for me)

#/etc/init.d/xbmc

. /lib/lsb/init-functions

do_start()
{
        #Reset Audio  - only required if PCM audio drops out after xbmc crash
        iecset audio on

        log_action_begin_msg "Configuring system and starting XBMC"
        # if usplash is running, make sure to stop it now, yes "start" kills it.
        if pidof usplash > /dev/null; then
                DO_NOT_SWITCH_VT=yes /etc/init.d/usplash start
        fi
        /usr/bin/runXBMC.sh &
        log_action_end_msg 0
}

do_stop() {
        touch /tmp/noRestartXBMC
        killall xbmc.bin Xorg
}

case "$1" in
start)
        do_start
        ;;
stop)
        do_stop
        ;;
restart|force-reload)
        do_stop
        do_start
        ;;
*)
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 3
        ;;
esac

exit 0

I was messing around with them after installing a minimalistic ubuntu setup. I got the scripts in part from the SVN (runXBMC.sh) and a post on the stickied thread (xbmc init.d)

Code:
htpc@HTPC:/usr/bin$ sudo ./runXBMC.sh
Can't open display

     =======================|  DirectFB 1.0.1  |=======================
          (c) 2001-2007  The DirectFB Organization (directfb.org)
          (c) 2000-2004  Convergence (integrated media) GmbH
        ------------------------------------------------------------

(*) DirectFB/Core: Single Application Core. (2008-11-12 15:27)
(!) Direct/Util: opening '/dev/fb0' and '/dev/fb/0' failed
    --> No such file or directory
(!) DirectFB/FBDev: Error opening framebuffer device!
(!) DirectFB/FBDev: Use 'fbdev' option or set FRAMEBUFFER environment variable.
(!) DirectFB/Core: Could not initialize 'system' core!
    --> Initialization error!
ERROR: Unable to create application. Exiting
CRITSEC[0x8acbec4]: Trying to enter destroyed section.
CRITSEC[0x8acbec4]: Trying to leave destroyed section.

Using the SVN PPA repo and a ATI card with the proprietary linux drivers installed. I just tried upgrading to the latest version and it does the same thing. I was able to get it to load in fluxbox.
Reply

Logout Mark Read Team Forum Stats Members Help
DirectFB ?0